org.apache.hc.client5.http.impl

## Enum ChainElements

- java.lang.Object
- - java.lang.Enum<ChainElements>
  - - org.apache.hc.client5.http.impl.ChainElements

All Implemented Interfaces:
  Serializable, Comparable<ChainElements>

    public enum ChainElements
    extends Enum<ChainElements>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BACK_OFF`
`CACHING`
`CONNECT`
`MAIN_TRANSPORT`
`PROTOCOL`
`REDIRECT`
`RETRY_IO_ERROR`
`RETRY_SERVICE_UNAVAILABLE`

### Method Summary

Methods
`static ChainElements` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ChainElements[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REDIRECT

    public static final ChainElements REDIRECT

#### BACK_OFF

    public static final ChainElements BACK_OFF

#### RETRY_SERVICE_UNAVAILABLE

    public static final ChainElements RETRY_SERVICE_UNAVAILABLE

#### RETRY_IO_ERROR

    public static final ChainElements RETRY_IO_ERROR

#### CACHING

    public static final ChainElements CACHING

#### PROTOCOL

    public static final ChainElements PROTOCOL

#### CONNECT

    public static final ChainElements CONNECT

#### MAIN_TRANSPORT

    public static final ChainElements MAIN_TRANSPORT

### Method Detail

#### values

    public static ChainElements[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ChainElements c : ChainElements.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ChainElements valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null